* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
body {
  font-family: 'Plus Jakarta Sans', sans-serif !important;
  font-optical-sizing: auto !important;
  font-size: var(--f-20) !important;
  font-weight: var(--fw-600) !important;
  line-height: 33.89px !important;
  color: var(--col-primary) !important;
  overflow: hidden;
}
.main-page-area {
  background-color: var(--col-F5F7FA);
  overflow: hidden;
}
.main-page-area .main-view-area {
  height: calc(100vh - 80px);
  overflow: hidden;
}
.main-page-area .main-view-area .main-content {
  height: calc(100vh - 80px);
  width: calc(100vw - 250px);
  overflow: hidden;
  padding: 29px 24px;
}
.title-bar {
  border-radius: 4px;
  padding: 10px 24px;
  height: 56px;
}
.title-bar h4 {
  font-size: var(--f-28);
  font-weight: var(--fw-600);
  line-height: 33.89px;
}
.border-def-up {
  border-radius: 16px 16px 0 0;
}
.border-def-down {
  border-radius: 0 0 16px 16px;
}
.blue-shade {
  padding: 8px;
  height: 31px;
  background-color: var(--col-4477F9);
}
.pink-shade {
  padding: 8px;
  height: 31px;
  background-color: var(--col-D40073);
}
@media screen and (max-width: 991.8px) {
  .main-page-area .main-view-area .main-content {
    padding: 29px 24px 29px 90px !important;
    width: calc(100vw - 0px) !important;
  }
}
/* scrollar height and width */
::-webkit-scrollbar {
  height: 6px;
  width: 6px;
}
/* Track */
::-webkit-scrollbar-track {
  background-color: transparent;
}
/* Handle */
::-webkit-scrollbar-thumb {
  background-color: var(--col-4B5564);
  border-radius: 10px;
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background-color: var(--col-4B5564);
}
.visibile-none-bg-white {
  width: 100px;
  background-color: var(--col-FFFFFF);
}
.add-scroll-fit {
  max-height: calc(100vh - 270px);
  overflow-x: hidden;
  overflow-y: auto;
}
/* header css starts */
.blue-btn {
  background-color: var(--col-1F80FF);
  border: 1px solid var(--col-1F80FF);
  color: var(--col-FFFFFF);
  font-size: var(--f-13);
  font-weight: var(--fw-600);
  line-height: 15.73px;
  letter-spacing: 0.01em;
  height: 36px;
  border-radius: 4px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.white-btn {
  background-color: transparent;
  border: 1px solid var(--col-1F80FF);
  color: var(--col-1F80FF);
  font-size: var(--f-13);
  font-weight: var(--fw-600);
  line-height: 15.73px;
  letter-spacing: 0.01em;
  height: 36px;
  border-radius: 4px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.header {
  max-height: 82px;
  height: 82px;
}
.header .main-logo {
  padding: 16px;
  width: 250px;
  max-width: 250px;
  min-width: 250px;
  height: 82px;
}
.header-content {
  padding: 24px;
}
.header .header-content .icon-btn {
  gap: 8px;
}
.header .header-content .user-img {
  border-radius: 100%;
  width: 32px;
  height: 32px;
  min-width: 32px;
  min-height: 32px;
  max-width: 32px;
  max-height: 32px;
}
.header .header-content #ProfileSideBar {
  position: fixed;
  right: 24px;
  top: 82px;
  border: 1px solid var(--col-DDE4F0);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.08);
  z-index: 100;
  height: 264px;
  min-width: 263px;
  transform: translateX(300px);
  overflow: hidden;
  transition: all ease-in-out 0.2s;
  border-radius: 18px;
}
.header .header-content #ProfileSideBar.show {
  transform: translateX(0px);
}
.header .header-content #ProfileSideBar .user-img {
  border-radius: 100%;
  width: 72px;
  height: 72px;
  min-width: 72px;
  min-height: 72px;
  max-width: 72px;
  max-height: 72px;
}
.header .header-content #ProfileSideBar .user-name {
  color: var(--col-secondary);
  font-size: var(--f-16);
  font-weight: var(--fw-500);
  line-height: 24px;
  letter-spacing: 0.01em;
}
.header .header-content #ProfileSideBar .user-links {
  color: var(--col-4B5564);
  padding: 16px 0px;
  border-top: 1px solid var(--col-DDE4F0);
  font-size: var(--f-14);
  font-weight: var(--fw-500);
  line-height: 20px;
  letter-spacing: 0.01em;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.header .header-content #ProfileSideBar .user-links:hover {
  color: var(--col-1F80FF);
}
/* header css ends */

/* sidebar css starts */
.sidebar-main-view {
  height: calc(100vh - 80px);
  background-color: var(--col-FFF);
  width: 250px;
  max-width: 250px;
  overflow: hidden;
  padding: 20px 0px;
}
.sidebar-main-view li.sidebar-list {
  font-size: var(--f-18);
  font-weight: var(--fw-500);
  line-height: 21.78px;
  color: var(--col-707070);
  gap: 26px;
  margin-bottom: 10px;
  padding: 8px 24px;
  word-break: keep-all;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.sidebar-main-view li.sidebar-list svg path {
  transition: all 0.3s ease-in-out;
}
.sidebar-main-view li.sidebar-list:hover {
  color: var(--col-primary);
}
.sidebar-main-view li.sidebar-list:hover svg path {
  fill: var(--col-primary);
}
.sidebar-main-view li.sidebar-list.active {
  color: var(--col-primary);
}
.sidebar-main-view li.sidebar-list.active svg path {
  fill: var(--col-primary);
}
.sidebar-main-view li.sidebar-list.active::after {
  content: '';
  position: absolute;
  left: 0px;
  top: 0px;
  border-radius: 0 10px 10px 0;
  height: 100%;
  width: 6px;
  background-color: var(--col-primary);
}
.sidebar-main-view li.sidebar-list .user-initials {
  background-color: var(--col-368CFE);
  border-radius: 100%;
  width: 25px;
  height: 25px;
  min-width: 25px;
  min-height: 25px;
  max-width: 25px;
  max-height: 25px;
  font-size: var(--f-16);
  font-weight: var(--fw-500);
  line-height: 19.36px;
  color: var(--col-FFFFFF);
}

.slider-btn {
  top: 10px;
  left: 63px;
  border-radius: 100%;
  border: 1px solid var(--col-F5F5F5);
  max-width: 24px !important;
  width: 24px !important;
  max-height: 30px;
  z-index: 110;
  transition: all ease-in-out 0.35s !important;
  border: 1px solid var(--col-DDE4F0);
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}
.slider-btn img {
  transform: rotate(180deg);
  margin-left: 2px;
}
.slider-btn.open {
  left: 240px;
}
.slider-btn.open img {
  transform: rotate(0deg);
  margin-left: -3px;
}

@media screen and (max-width: 991.8px) {
  #MenuSidebarMobileView2 .w-100 {
    width: auto !important;
  }
  .sidebar-main-view {
    position: fixed !important;
    left: 0px !important;
    top: 80px !important;
    z-index: 100 !important;
    transition: all ease-in-out 0.3s !important;
    width: 74px !important;
    max-width: 74px !important;
  }
  .sidebar-main-view .sidebar-list {
    gap: 20px !important;
  }
  .sidebar-main-view .sidebar-list span {
    width: 0px;
    max-width: 0px;
    visibility: hidden;
    white-space: nowrap;
    transition: all ease-in-out 0.3s !important;
  }
  .sidebar-main-view.show {
    width: 250px !important;
    max-width: 250px !important;
  }
  .sidebar-main-view.show .sidebar-list span {
    width: 100%;
    max-width: 100%;
    visibility: visible;
    transition: all ease-in-out 0.5s !important;
  }
}
/* sidebar css ends */

/* search bar css starts */
.container-search-bar .searchbar-area {
  border: 1px solid var(--col-DDE4F0);
  padding: 8px 8px 8px 40px;
  height: 40px;
  border-radius: 4px;
}
.container-search-bar .searchbar-area .search-btn2 {
  top: 0px;
  left: 8px;
  background-color: transparent;
}
.container-search-bar .searchbar-area input {
  font-size: var(--f-14);
  font-weight: var(--fw-500);
  color: var(--col-4B5564);
  line-height: 15.73px;
  letter-spacing: 0.01em;
  background-color: transparent;
}
.container-search-bar .searchbar-area input::placeholder {
  font-size: var(--f-12);
  font-weight: var(--fw-500);
  line-height: 15.73px;
  letter-spacing: 0.01em;
  color: var(--col-DDE4F0);
}
.container-search-bar .searchbar-area input:focus {
  outline: none;
  background-color: transparent;
}
/* search bar css ends */

/* table css starts */
.main-content .table-1 {
  max-height: 500px;
  overflow: auto;
  display: block;

}
.main-content .table-abv-btn-conatiner {
  gap: 24px;
}
.main-content .table-container thead {
  background-color: var(--col-4B5564);
  position: sticky;
  top: 0px;
  font-size: var(--f-13);
  font-weight: var(--fw-500);
  line-height: 15.73px;
  letter-spacing: -0.005em;
  color: var(--col-FFFFFF);
}
.main-content .table-container thead th {
  padding: 14px 8px;
}
.main-content .table-container thead .checkbox-td {
  width: 30px;
}
.main-content .table-container thead .checkbox-td button {
  background-color: transparent;
  padding: 7px;
  transition: all 0.3s ease-in-out;
}
.main-content .table-container thead .checkbox-td button:active {
  border: none;
}
.main-content .table-container thead .checkbox-td button.show {
  background-color: var(--col-EEF6FF);
}
.main-content .table-container thead .checkbox-td button.show svg path {
  fill: var(--col-4B5564);
}
.main-content .table-container thead .checkbox-td button::after {
  display: none;
}
.main-content .table-container thead .checkbox-td button:hover {
  background-color: var(--col-EEF6FF);
}
.main-content .table-container thead .checkbox-td button:hover svg path {
  transition: all 0.3s ease-in-out;
}
.main-content .table-container thead .checkbox-td button:hover svg path {
  fill: var(--col-4B5564);
}
.main-content .table-container thead .sort-btn {
  background-color: transparent;
}
.main-content .table-container thead .text-btn-div {
  gap: 10px;
}
.main-content .table-container tbody td {
  padding: 0 8px;
  vertical-align: middle;
  min-height: 64px;
  height: 64px;
  transition: 0.3s all ease-in-out;
}
.main-content .table-container tbody tr:hover td {
  background-color: var(--col-DBDBDB);
  cursor: pointer;
}
.main-content .table-container tbody {
  font-size: var(--f-12);
  font-weight: var(--fw-500);
  line-height: 14.52px;
  letter-spacing: -0.005em;
  color: var(--col-secondary);
  background-color: var(--col-FFFFFF);
}
.main-content .table-container tbody tr:nth-child(even) {
  background-color: var(--col-EEF6FF);
}
.main-content .table-container tbody .idNumber-td {
  font-weight: var(--fw-600);
}
.main-content .table-container tbody .checkbox-td .form-check-input {
  width: 15px;
  height: 15px;
  margin-top: 6px;
  margin-left: -10px;
}
.main-content .table-container tbody .pills {
  height: 23px;
  padding: 4px 10px;
  border-radius: 4px;
  border: 1px;
  border: 1px solid;
  width: max-content;
}
.main-content .table-container tbody .pills.col-received {
  color: var(--col-115B43);
  border-color: var(--col-18EA2D);
  background-color: var(--col-E9FFD8);
}
.main-content .table-container tbody .pills.col-waiting {
  color: var(--col-B96416);
  border-color: var(--col-EABB18);
  background-color: var(--col-FFEFD8);
}
.main-content .table-container tbody .pills.col-dispatched {
  color: var(--col-1F80FF);
  border-color: var(--col-1F80FF);
  background-color: var(--col-E5F4FF);
}
.main-content .table-container tbody .icons-td .icons {
  gap: 24px;
}
.main-content .table-container tbody .icons-td .icons button {
  padding: 10px;
  background-color: transparent;
}
.main-content .pagination-right {
  gap: 24px;
  font-size: var(--f-13);
  font-weight: var(--fw-500);
  line-height: 15.73px;
}
.main-content .pagination-right button {
  background-color: transparent;
}
.main-content .pagination-right button .img-rotate {
  transform: rotate(180deg);
}

.orange-active {
  background-color: var(--col-FFEDE3);
  color: var(--col-F7936F);
  font-size: var(--f-10);
  font-weight: var(--fw-700);
  line-height: 16px;
  border-radius: 6px;
  padding: 2px 6px;
}
.green-active {
  background-color: var(--col-DEFFEE);
  color: var(--col-039053);
  font-size: var(--f-10);
  font-weight: var(--fw-700);
  line-height: 16px;
  border-radius: 6px;
  padding: 2px 6px;
}
/* table css ends */

/* custom-dropdown-1 css starts */
.dropdown-td {
  color: var(--col-8793A4);
  font-size: var(--f-14);
  font-weight: var(--fw-400);
  line-height: 23px;
  padding-right: 16px;
  padding-top: 5px;
  padding-bottom: 5px;
  padding-right: 0px;
}
.dropdown-td .dropdown button:focus {
  outline: none;
  box-shadow: none;
}
.dropdown-td .dropdown .dropdown-menu {
  border: 1px solid var(--col-DDE4F0);
  border-radius: 8px;
}
.dropdown-td .dropdown .dropdown-menu li {
  border-bottom: 1px solid var(--col-DDE4F0) !important;
}
.dropdown-td .dropdown .dropdown-menu li:last-child {
  border-bottom: 1px solid transparent !important;
}
.dropdown-td .dropdown .dropdown-menu .dropdown-item {
  height: 56px;
  gap: 8px;
  font-size: var(--f-14);
  font-weight: var(--fw-500);
  line-height: 24px;
  letter-spacing: 0.01em;
  color: var(--col-4B5564);
}
/* custom-dropdown-2 css starts */

/* custom-dropdown-3 css starts */
.custom-dropdown-3 .dropdown-toggle {
  font-size: var(--f-14);
  font-weight: var(--fw-500);
  line-height: 24px;
  letter-spacing: 0.01em;
  color: var(--col-4B5564);
  padding: 10px 12px;
  border: 1px solid var(--col-DDE4F0);
  border-radius: 4px;
  gap: 20px;
  width: 189px;
  height: 40px;
}
.custom-dropdown-3 .dropdown-toggle.show img {
  transform: rotate(180deg);
}
.custom-dropdown-3 .dropdown-toggle::after {
  display: none;
}
.custom-dropdown-3 .dropdown-toggle:focus-visible,
.custom-dropdown-3 .dropdown-toggle:active,
.custom-dropdown-3 .dropdown-toggle.show {
  box-shadow: none;
  border-color: var(--col-DDE4F0) !important;
}
.custom-dropdown-3 .dropdown-toggle.show {
  box-shadow:
    0px 10px 10px -5px rgba(0, 0, 0, 0.04),
    0px 20px 25px -5px rgba(0, 0, 0, 0.1);
}
.custom-dropdown-3 .dropdown-toggle:hover {
  border-color: var(--col-DDE4F0) !important;
}
.custom-dropdown-3 .dropdown-menu {
  max-height: 120px;
  overflow-y: auto;
  width: 100%;
  margin-top: 8px !important;
  box-shadow:
    0px 10px 10px -5px rgba(0, 0, 0, 0.04),
    0px 20px 25px -5px rgba(0, 0, 0, 0.1);
}
.custom-dropdown-3 .dropdown-menu li {
  margin-bottom: 8px;
}
.custom-dropdown-3 .dropdown-menu li .dropdown-item {
  height: 32px;
  font-size: var(--f-13);
  font-weight: var(--fw-500);
  line-height: 15.73px;
  letter-spacing: 0.005em;
  color: var(--col-4B5564);
}
.custom-dropdown-3 .dropdown-menu li:last-child {
  margin-bottom: 0px;
}

/* custom-dropdown-3 css ends */
.custom-dropdown-4 .dropdown-toggle{
  box-shadow: none;
  border-color: var(--col-DDE4F0) !important;
  font-size: var(--f-14);
  font-weight: var(--fw-500);
  line-height: 24px;
  letter-spacing: 0.01em;
  color: var(--col-4B5564);
  padding: 10px 12px;
  border: 1px solid var(--col-DDE4F0);
  border-radius: 4px;
  gap: 20px;
}
.custom-dropdown-4 .dropdown-toggle::after{
  display: none;
}
.custom-dropdown-4 .dropdown-toggle.show{
  box-shadow: 0px 10px 10px -5px rgba(0, 0, 0, 0.04), 0px 20px 25px -5px rgba(0, 0, 0, 0.1);
}
.custom-dropdown-4 .list-data-area{
  max-height: 300px;
  overflow-y: auto;
  overflow-x: hidden;
  list-style: none;
}
.custom-dropdown-4 .list-data-area .dropdown-item {
      height: 32px;
      font-size: var(--f-13);
      font-weight: var(--fw-500);
      line-height: 15.73px;
      letter-spacing: 0.005em;
      color: var(--col-4B5564);
}
.custom-dropdown-4 .form-control{
  border: var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);
}
.custom-dropdown-4 .form-control:focus{
  box-shadow: none;
  outline: none;
  border: var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);
}